Alembic Version 1.1

Classes | Public Types | Public Member Functions | Friends | List of all members
Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::NetworkNode Class Reference

`#include <MaterialFlatten.h>`

## Classes
struct | Connection

## Public Types
typedef std::vector< Connection > | ConnectionVector

## Public Member Functions
| NetworkNode ()
bool | valid ()
std::string | getName ()
bool | getTarget (std::string &oResult)
bool | getNodeType (std::string &oResult)
void | getParameters (ParameterEntryVector &oResult)
void | getConnections (ConnectionVector &oResult)

## Friends
class | MaterialFlatten

## Detailed Description

Definition at line 158 of file MaterialFlatten.h.

## Member Typedef Documentation

## ◆ ConnectionVector

typedef std::vector<Connection> Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::NetworkNode::ConnectionVector

Definition at line 194 of file MaterialFlatten.h.

## Constructor & Destructor Documentation

## ◆ NetworkNode()

Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::NetworkNode::NetworkNode | ( |  | ) |

## Member Function Documentation

## ◆ getConnections()

void Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::NetworkNode::getConnections | ( | ConnectionVector & | oResult | ) |

## ◆ getName()

std::string Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::NetworkNode::getName | ( |  | ) |

## ◆ getNodeType()

bool Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::NetworkNode::getNodeType | ( | std::string & | oResult | ) |

## ◆ getParameters()

void Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::NetworkNode::getParameters | ( | ParameterEntryVector & | oResult | ) |

## ◆ getTarget()

bool Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::NetworkNode::getTarget | ( | std::string & | oResult | ) |

## ◆ valid()

bool Alembic::AbcMaterial::ALEMBIC_VERSION_NS::MaterialFlatten::NetworkNode::valid | ( |  | ) |

## Friends And Related Function Documentation

## ◆ MaterialFlatten

friend class MaterialFlatten
| friend

Definition at line 200 of file MaterialFlatten.h.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcMaterial/MaterialFlatten.h